MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000838Xdebug(No Category)public2012-05-17 19:512012-05-28 09:24
Reporterlunetics 
Assigned Toderick 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformphp 5.4.3, nginx 1.2.0OSFreebsdOS Version9.0 amd64
Product Version2.2.0 
Target VersionFixed in Version2.2.1 
Summary0000838: Xdebug shows static vars twice
DescriptionXdebug shows static vars twice in the var inspect windows (don't know if that is IDE specific)
Steps To ReproduceExecute samplecode and inspect $a at breakpoint
Additional InformationPhpStorm 4.0 on Windows 7
TagsNo tags attached.
Operating System
PHP Version5.4.3
Attached Fileslog file icon xdbg.log [^] (17,147 bytes) 2012-05-17 19:51
? file icon worksnot.php [^] (245 bytes) 2012-05-17 19:51
png file icon xdbg1.png [^] (4,367 bytes) 2012-05-17 19:53

- Relationships

-  Notes
(0002197)
derick (administrator)
2012-05-28 09:24

Fixed on github, please test and reopen if it still doesn't work. Thanks for your report!

- Issue History
Date Modified Username Field Change
2012-05-17 19:51 lunetics New Issue
2012-05-17 19:51 lunetics File Added: xdbg.log
2012-05-17 19:51 lunetics File Added: worksnot.php
2012-05-17 19:53 lunetics File Added: xdbg1.png
2012-05-28 09:24 derick Note Added: 0002197
2012-05-28 09:24 derick Status new => closed
2012-05-28 09:24 derick Assigned To => derick
2012-05-28 09:24 derick Resolution open => fixed
2012-05-28 09:24 derick Fixed in Version => 2.2.1
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker